# Asterisk Project : Asterisk 12 Configuration_res_pjsip_acl

Added by wikibot , edited by wikibot on Aug 29, 2013

# SIP ACL module

This configuration documentation is for functionality provided by `res_pjsip_acl`.

## Overview

ACL

The ACL module used by `res_pjsip`. This module is independent of `endpoints` and operates on all inbound SIP communication using res_pjsip.

It should be noted that this module can also reference ACLs from `acl.conf`.

There are two main ways of creating an access list: `IP-Domain` and `Contact Header`. It is possible to create a combined ACL using both IP and Contact.

## pjsip.conf

### acl

Access Control List

#### Configuration Option Reference

Option Name | Type | Default Value | Regular Expression | Description
--- | --- | --- | --- | ---
`acl` | `Custom` |  | `false` | Name of IP ACL
`contactacl` | `Custom` |  | `false` | Name of Contact ACL
`contactdeny` | `Custom` |  | `false` | List of Contact Header addresses to Deny
`contactpermit` | `Custom` |  | `false` | List of Contact Header addresses to Permit
`deny` | `Custom` |  | `false` | List of IP-domains to deny access from
`permit` | `Custom` |  | `false` | List of IP-domains to allow access from
`type` | `None` |  | `false` | Must be of type 'security'.

#### Configuration Option Descriptions

##### acl

This matches sections configured in `acl.conf`

##### contactacl

This matches sections configured in `acl.conf`

### Import Version

This documentation was imported from Asterisk Version Unknown